summaryrefslogtreecommitdiffstats
path: root/.local/bin
diff options
context:
space:
mode:
authorappeasementPolitik <108810900+appeasementPolitik@users.noreply.github.com>2022-10-08 11:18:04 +0000
committerGitHub <noreply@github.com>2022-10-08 11:18:04 +0000
commitb1377913e65b0052ccd36329cb9b4c9d73f9f3d3 (patch)
tree8c69acd720bdce18bcc0c8da82330a937ad28031 /.local/bin
parent228cc6cfdbdca5a04cc7e98289b447ab100d8133 (diff)
downloadeibhear-b1377913e65b0052ccd36329cb9b4c9d73f9f3d3.tar.gz
eibhear-b1377913e65b0052ccd36329cb9b4c9d73f9f3d3.tar.zst
eibhear-b1377913e65b0052ccd36329cb9b4c9d73f9f3d3.zip
Fix forecast and moonphase (#1211)
Diffstat (limited to '.local/bin')
-rwxr-xr-x.local/bin/statusbar/sb-forecast2
-rwxr-xr-x.local/bin/statusbar/sb-moonphase2
2 files changed, 2 insertions, 2 deletions
diff --git a/.local/bin/statusbar/sb-forecast b/.local/bin/statusbar/sb-forecast
index af77d2c..9744ea4 100755
--- a/.local/bin/statusbar/sb-forecast
+++ b/.local/bin/statusbar/sb-forecast
@@ -29,7 +29,7 @@ esac
# The test if our forcecast is updated to the day. If it isn't download a new
# weather report from wttr.in with the above function.
-[ ! -s "$weatherreport" ] && [ "$(stat -c %y "$weatherreport" 2>/dev/null | cut -d' ' -f1)" = "$(date '+%Y-%m-%d')" ] ||
+[ -s "$weatherreport" ] && [ "$(stat -c %y "$weatherreport" 2>/dev/null | cut -d' ' -f1)" = "$(date '+%Y-%m-%d')" ] ||
getforecast
showweather
diff --git a/.local/bin/statusbar/sb-moonphase b/.local/bin/statusbar/sb-moonphase
index 5eb1875..99adaee 100755
--- a/.local/bin/statusbar/sb-moonphase
+++ b/.local/bin/statusbar/sb-moonphase
@@ -4,7 +4,7 @@
moonfile="${XDG_DATA_HOME:-$HOME/.local/share}/moonphase"
-[ ! -s "$moonfile" ] && [ "$(stat -c %y "$moonfile" 2>/dev/null | cut -d' ' -f1)" = "$(date '+%Y-%m-%d')" ] ||
+[ -s "$moonfile" ] && [ "$(stat -c %y "$moonfile" 2>/dev/null | cut -d' ' -f1)" = "$(date '+%Y-%m-%d')" ] ||
{ curl -sf "wttr.in/?format=%m" > "$moonfile" || exit 1 ;}
icon="$(cat "$moonfile")"